import { ComponentDependencies } from "./PolygloatViewer";
export declare class UI {
    private dependencies;
    private viewerComponent;
    private keyContextMenu;
    constructor(dependencies: ComponentDependencies);
    renderViewer(key: string): void;
    getKey(props: {
        openEvent: MouseEvent;
        keys: Set<string>;
    }): Promise<string>;
}
export default UI;
